processing.core

## Interface PConstants

- All Known Implementing Classes:
    FrameBuffer, PApplet, PFont, PGraphics, PGraphics2D, PGraphics3D, PGraphicsDanger2D, PGraphicsFX2D, PGraphicsJava2D, PGraphicsOpenGL, PImage, PShader, PShape, PShapeOBJ, PShapeOpenGL, PShapeSVG, PShapeSVG.Font, PShapeSVG.FontGlyph, PStyle, Texture

      public interface PConstants

  Numbers shared throughout processing.core.

  An attempt is made to keep the constants as short/non-verbose as possible. For instance, the constant is TIFF instead of FILE_TYPE_TIFF. We'll do this as long as we can get away with it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD`
    `static int` | `ALPHA`
    `static int` | `ALT`
    `static int` | `AMBIENT`
    `static int` | `ARC`
    `static int` | `ARGB`
    `static int` | `ARROW`
    `static char` | `BACKSPACE`
    `static int` | `BASELINE` Default vertical alignment for text placement
    `static int` | `BEVEL`
    `static int` | `BEZIER_VERTEX`
    `static int` | `BLEND`
    `static int` | `BLUR`
    `static int` | `BOTTOM` Align text from the bottom, using the baseline.
    `static int` | `BOX`
    `static int` | `BREAK`
    `static int` | `BURN`
    `static int` | `CENTER` Draw from the center, using second pair of values as the diameter.
    `static int` | `CHATTER`
    `static int` | `CHORD`
    `static int` | `CLAMP` textures are clamped to their edges
    `static int` | `CLOSE`
    `static int` | `CODED`
    `static int` | `COMPLAINT`
    `static int` | `CONTROL`
    `static int` | `CORNER` Draw mode convention to use (x, y) to (width, height)
    `static int` | `CORNERS` Draw mode convention to use (x1, y1) to (x2, y2) coordinates
    `static int` | `CROSS`
    `static int` | `CURVE_VERTEX`
    `static int` | `CUSTOM`
    `static int` | `DARKEST`
    `static float` | `DEG_TO_RAD`
    `static char` | `DELETE`
    `static int` | `DIAMETER` Synonym for the CENTER constant.
    `static int` | `DIFFERENCE`
    `static int` | `DILATE`
    `static int` | `DIRECTIONAL`
    `static int` | `DISABLE_DEPTH_MASK`
    `static int` | `DISABLE_DEPTH_SORT`
    `static int` | `DISABLE_DEPTH_TEST`
    `static int` | `DISABLE_NATIVE_FONTS` Deprecated.
    `static int` | `DISABLE_OPENGL_ERRORS`
    `static int` | `DISABLE_OPTIMIZED_STROKE`
    `static int` | `DISABLE_STROKE_PERSPECTIVE`
    `static int` | `DISABLE_STROKE_PURE`
    `static int` | `DISABLE_TEXTURE_MIPMAPS`
    `static int` | `DODGE`
    `static int` | `DOWN`
    `static String` | `DXF`
    `static String` | `E2D`
    `static int` | `ELLIPSE`
    `static int` | `ENABLE_DEPTH_MASK`
    `static int` | `ENABLE_DEPTH_SORT`
    `static int` | `ENABLE_DEPTH_TEST`
    `static int` | `ENABLE_NATIVE_FONTS` Deprecated.
    `static int` | `ENABLE_OPENGL_ERRORS`
    `static int` | `ENABLE_OPTIMIZED_STROKE`
    `static int` | `ENABLE_STROKE_PERSPECTIVE`
    `static int` | `ENABLE_STROKE_PURE`
    `static int` | `ENABLE_TEXTURE_MIPMAPS`
    `static char` | `ENTER`
    `static float` | `EPSILON`
    `static int` | `ERODE`
    `static String` | `ERROR_BACKGROUND_IMAGE_FORMAT`
    `static String` | `ERROR_BACKGROUND_IMAGE_SIZE`
    `static String` | `ERROR_PUSHMATRIX_OVERFLOW`
    `static String` | `ERROR_PUSHMATRIX_UNDERFLOW`
    `static String` | `ERROR_TEXTFONT_NULL_PFONT`
    `static char` | `ESC`
    `static int` | `EXCLUSION`
    `static String` | `FX2D`
    `static int` | `GIF`
    `static int` | `GRAY`
    `static int` | `GROUP`
    `static float` | `HALF_PI` ( begin auto-generated from HALF_PI.xml ) HALF_PI is a mathematical constant with the value 1.57079632679489661923.
    `static int` | `HAND`
    `static int` | `HARD_LIGHT`
    `static int` | `HINT_COUNT`
    `static int` | `HSB`
    `static int` | `IMAGE` texture coordinates based on image width/height
    `static int` | `INVERT`
    `static String` | `JAVA2D`
    `static int` | `JPEG`
    `static int` | `LANDSCAPE` Screen orientation constant for landscape (the hot dog way).
    `static int` | `LEFT`
    `static int` | `LIGHTEST`
    `static int` | `LINE`
    `static int` | `LINE_LOOP`
    `static int` | `LINE_STRIP`
    `static int` | `LINES`
    `static int` | `LINUX`
    `static int` | `MACOSX`
    `static float` | `MAX_FLOAT` Same as Float.MAX_VALUE, but included for parity with MIN_VALUE, and to avoid teaching static methods on the first day.
    `static int` | `MAX_INT` Largest possible (positive) integer value
    `static float` | `MIN_FLOAT` Note that Float.MIN_VALUE is the smallest positive value for a floating point number, not actually the minimum (negative) value for a float.
    `static int` | `MIN_INT` Smallest possible (negative) integer value
    `static int` | `MITER`
    `static int` | `MODEL` textMode(MODEL) is the default, meaning that characters will be affected by transformations like any other shapes.
    `static int` | `MODELVIEW`
    `static int` | `MOVE`
    `static int` | `MULTIPLY`
    `static int` | `NORMAL` texture coordinates in 0..1 range
    `static int` | `OPAQUE`
    `static int` | `OPEN`
    `static String` | `OPENGL` Deprecated.
    `static int` | `ORTHOGRAPHIC`
    `static int` | `OTHER`
    `static int` | `OVERLAY`
    `static String` | `P2D`
    `static String` | `P3D`
    `static int` | `PATH`
    `static String` | `PDF`
    `static int` | `PERSPECTIVE`
    `static float` | `PI` ( begin auto-generated from PI.xml ) PI is a mathematical constant with the value 3.14159265358979323846.
    `static int` | `PIE`
    `static String[]` | `platformNames`
    `static int` | `POINT`
    `static int` | `POINTS`
    `static int` | `POLYGON`
    `static int` | `PORTRAIT` Screen orientation constant for portrait (the hamburger way).
    `static int` | `POSTERIZE`
    `static int` | `PROBLEM`
    `static int` | `PROJECT`
    `static int` | `PROJECTION`
    `static int` | `QUAD`
    `static int` | `QUAD_BEZIER_VERTEX` Deprecated.
    `static int` | `QUAD_STRIP`
    `static int` | `QUADRATIC_VERTEX`
    `static int` | `QUADS`
    `static float` | `QUARTER_PI` ( begin auto-generated from QUARTER_PI.xml ) QUARTER_PI is a mathematical constant with the value 0.7853982.
    `static float` | `RAD_TO_DEG`
    `static int` | `RADIUS` Draw mode from the center, and using the radius
    `static int` | `RECT`
    `static int` | `REPEAT` textures wrap around when uv values go outside 0..1 range
    `static int` | `REPLACE`
    `static char` | `RETURN`
    `static int` | `RGB`
    `static int` | `RIGHT`
    `static int` | `ROUND`
    `static int` | `SCREEN`
    `static int` | `SHAPE` textMode(SHAPE) draws text using the the glyph outlines of individual characters rather than as textures.
    `static int` | `SHIFT`
    `static int` | `SOFT_LIGHT`
    `static int` | `SPAN` Use with fullScreen() to indicate all available displays.
    `static int` | `SPHERE`
    `static int` | `SPOT`
    `static int` | `SQUARE`
    `static int` | `SUBTRACT`
    `static String` | `SVG`
    `static char` | `TAB`
    `static int` | `TARGA`
    `static float` | `TAU` ( begin auto-generated from TAU.xml ) TAU is an alias for TWO_PI, a mathematical constant with the value 6.28318530717958647693.
    `static int` | `TEXT`
    `static float` | `THIRD_PI`
    `static int` | `THRESHOLD`
    `static int` | `TIFF`
    `static int` | `TOP` Align text to the top
    `static int` | `TRIANGLE`
    `static int` | `TRIANGLE_FAN`
    `static int` | `TRIANGLE_STRIP`
    `static int` | `TRIANGLES`
    `static float` | `TWO_PI` ( begin auto-generated from TWO_PI.xml ) TWO_PI is a mathematical constant with the value 6.28318530717958647693.
    `static int` | `UP`
    `static int` | `VERTEX`
    `static int` | `WAIT`
    `static String` | `WHITESPACE`
    `static int` | `WINDOWS`
    `static int` | `X`
    `static int` | `Y`
    `static int` | `Z`

- - ### Field Detail

    - #### X

          static final int X

      See Also:
        Constant Field Values

    - #### Y

          static final int Y

      See Also:
        Constant Field Values

    - #### Z

          static final int Z

      See Also:
        Constant Field Values

    - #### JAVA2D

          static final String JAVA2D

      See Also:
        Constant Field Values

    - #### P2D

          static final String P2D

      See Also:
        Constant Field Values

    - #### P3D

          static final String P3D

      See Also:
        Constant Field Values

    - #### OPENGL

          @Deprecated
          static final String OPENGL

      Deprecated.
      See Also:
        Constant Field Values

    - #### E2D

          static final String E2D

    - #### FX2D

          static final String FX2D

    - #### PDF

          static final String PDF

      See Also:
        Constant Field Values

    - #### SVG

          static final String SVG

      See Also:
        Constant Field Values

    - #### DXF

          static final String DXF

      See Also:
        Constant Field Values

    - #### OTHER

          static final int OTHER

      See Also:
        Constant Field Values

    - #### WINDOWS

          static final int WINDOWS

      See Also:
        Constant Field Values

    - #### MACOSX

          static final int MACOSX

      See Also:
        Constant Field Values

    - #### LINUX

          static final int LINUX

      See Also:
        Constant Field Values

    - #### platformNames

          static final String[] platformNames

    - #### EPSILON

          static final float EPSILON

      See Also:
        Constant Field Values

    - #### MAX_FLOAT

          static final float MAX_FLOAT

      Same as Float.MAX_VALUE, but included for parity with MIN_VALUE, and to avoid teaching static methods on the first day.
      See Also:
        Constant Field Values

    - #### MIN_FLOAT

          static final float MIN_FLOAT

      Note that Float.MIN_VALUE is the smallest positive value for a floating point number, not actually the minimum (negative) value for a float. This constant equals 0xFF7FFFFF, the smallest (farthest negative) value a float can have before it hits NaN.
      See Also:
        Constant Field Values

    - #### MAX_INT

          static final int MAX_INT

      Largest possible (positive) integer value
      See Also:
        Constant Field Values

    - #### MIN_INT

          static final int MIN_INT

      Smallest possible (negative) integer value
      See Also:
        Constant Field Values

    - #### VERTEX

          static final int VERTEX

      See Also:
        Constant Field Values

    - #### BEZIER_VERTEX

          static final int BEZIER_VERTEX

      See Also:
        Constant Field Values

    - #### QUADRATIC_VERTEX

          static final int QUADRATIC_VERTEX

      See Also:
        Constant Field Values

    - #### CURVE_VERTEX

          static final int CURVE_VERTEX

      See Also:
        Constant Field Values

    - #### BREAK

          static final int BREAK

      See Also:
        Constant Field Values

    - #### QUAD_BEZIER_VERTEX

          @Deprecated
          static final int QUAD_BEZIER_VERTEX

      Deprecated.
      See Also:
        Constant Field Values

    - #### PI

          static final float PI

      ( begin auto-generated from PI.xml ) PI is a mathematical constant with the value 3.14159265358979323846. It is the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos(). ( end auto-generated )
      See Also:
        `TWO_PI`, `TAU`, `HALF_PI`, `QUARTER_PI`, Constant Field Values

    - #### HALF_PI

          static final float HALF_PI

      ( begin auto-generated from HALF_PI.xml ) HALF_PI is a mathematical constant with the value 1.57079632679489661923. It is half the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos(). ( end auto-generated )
      See Also:
        `PI`, `TWO_PI`, `TAU`, `QUARTER_PI`, Constant Field Values

    - #### THIRD_PI

          static final float THIRD_PI

      See Also:
        Constant Field Values

    - #### QUARTER_PI

          static final float QUARTER_PI

      ( begin auto-generated from QUARTER_PI.xml ) QUARTER_PI is a mathematical constant with the value 0.7853982. It is one quarter the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos(). ( end auto-generated )
      See Also:
        `PI`, `TWO_PI`, `TAU`, `HALF_PI`, Constant Field Values

    - #### TWO_PI

          static final float TWO_PI

      ( begin auto-generated from TWO_PI.xml ) TWO_PI is a mathematical constant with the value 6.28318530717958647693. It is twice the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos(). ( end auto-generated )
      See Also:
        `PI`, `TAU`, `HALF_PI`, `QUARTER_PI`, Constant Field Values

    - #### TAU

          static final float TAU

      ( begin auto-generated from TAU.xml ) TAU is an alias for TWO_PI, a mathematical constant with the value 6.28318530717958647693. It is twice the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos(). ( end auto-generated )
      See Also:
        `PI`, `TWO_PI`, `HALF_PI`, `QUARTER_PI`, Constant Field Values

    - #### DEG_TO_RAD

          static final float DEG_TO_RAD

      See Also:
        Constant Field Values

    - #### RAD_TO_DEG

          static final float RAD_TO_DEG

      See Also:
        Constant Field Values

    - #### WHITESPACE

          static final String WHITESPACE

      See Also:
        Constant Field Values

    - #### RGB

          static final int RGB

      See Also:
        Constant Field Values

    - #### ARGB

          static final int ARGB

      See Also:
        Constant Field Values

    - #### HSB

          static final int HSB

      See Also:
        Constant Field Values

    - #### ALPHA

          static final int ALPHA

      See Also:
        Constant Field Values

    - #### TIFF

          static final int TIFF

      See Also:
        Constant Field Values

    - #### TARGA

          static final int TARGA

      See Also:
        Constant Field Values

    - #### JPEG

          static final int JPEG

      See Also:
        Constant Field Values

    - #### GIF

          static final int GIF

      See Also:
        Constant Field Values

    - #### BLUR

          static final int BLUR

      See Also:
        Constant Field Values

    - #### GRAY

          static final int GRAY

      See Also:
        Constant Field Values

    - #### INVERT

          static final int INVERT

      See Also:
        Constant Field Values

    - #### OPAQUE

          static final int OPAQUE

      See Also:
        Constant Field Values

    - #### POSTERIZE

          static final int POSTERIZE

      See Also:
        Constant Field Values

    - #### THRESHOLD

          static final int THRESHOLD

      See Also:
        Constant Field Values

    - #### ERODE

          static final int ERODE

      See Also:
        Constant Field Values

    - #### DILATE

          static final int DILATE

      See Also:
        Constant Field Values

    - #### REPLACE

          static final int REPLACE

      See Also:
        Constant Field Values

    - #### BLEND

          static final int BLEND

      See Also:
        Constant Field Values

    - #### ADD

          static final int ADD

      See Also:
        Constant Field Values

    - #### SUBTRACT

          static final int SUBTRACT

      See Also:
        Constant Field Values

    - #### LIGHTEST

          static final int LIGHTEST

      See Also:
        Constant Field Values

    - #### DARKEST

          static final int DARKEST

      See Also:
        Constant Field Values

    - #### DIFFERENCE

          static final int DIFFERENCE

      See Also:
        Constant Field Values

    - #### EXCLUSION

          static final int EXCLUSION

      See Also:
        Constant Field Values

    - #### MULTIPLY

          static final int MULTIPLY

      See Also:
        Constant Field Values

    - #### SCREEN

          static final int SCREEN

      See Also:
        Constant Field Values

    - #### OVERLAY

          static final int OVERLAY

      See Also:
        Constant Field Values

    - #### HARD_LIGHT

          static final int HARD_LIGHT

      See Also:
        Constant Field Values

    - #### SOFT_LIGHT

          static final int SOFT_LIGHT

      See Also:
        Constant Field Values

    - #### DODGE

          static final int DODGE

      See Also:
        Constant Field Values

    - #### BURN

          static final int BURN

      See Also:
        Constant Field Values

    - #### CHATTER

          static final int CHATTER

      See Also:
        Constant Field Values

    - #### COMPLAINT

          static final int COMPLAINT

      See Also:
        Constant Field Values

    - #### PROBLEM

          static final int PROBLEM

      See Also:
        Constant Field Values

    - #### PROJECTION

          static final int PROJECTION

      See Also:
        Constant Field Values

    - #### MODELVIEW

          static final int MODELVIEW

      See Also:
        Constant Field Values

    - #### CUSTOM

          static final int CUSTOM

      See Also:
        Constant Field Values

    - #### ORTHOGRAPHIC

          static final int ORTHOGRAPHIC

      See Also:
        Constant Field Values

    - #### PERSPECTIVE

          static final int PERSPECTIVE

      See Also:
        Constant Field Values

    - #### GROUP

          static final int GROUP

      See Also:
        Constant Field Values

    - #### POINT

          static final int POINT

      See Also:
        Constant Field Values

    - #### POINTS

          static final int POINTS

      See Also:
        Constant Field Values

    - #### LINE

          static final int LINE

      See Also:
        Constant Field Values

    - #### LINES

          static final int LINES

      See Also:
        Constant Field Values

    - #### LINE_STRIP

          static final int LINE_STRIP

      See Also:
        Constant Field Values

    - #### LINE_LOOP

          static final int LINE_LOOP

      See Also:
        Constant Field Values

    - #### TRIANGLE

          static final int TRIANGLE

      See Also:
        Constant Field Values

    - #### TRIANGLES

          static final int TRIANGLES

      See Also:
        Constant Field Values

    - #### TRIANGLE_STRIP

          static final int TRIANGLE_STRIP

      See Also:
        Constant Field Values

    - #### TRIANGLE_FAN

          static final int TRIANGLE_FAN

      See Also:
        Constant Field Values

    - #### QUAD

          static final int QUAD

      See Also:
        Constant Field Values

    - #### QUADS

          static final int QUADS

      See Also:
        Constant Field Values

    - #### QUAD_STRIP

          static final int QUAD_STRIP

      See Also:
        Constant Field Values

    - #### POLYGON

          static final int POLYGON

      See Also:
        Constant Field Values

    - #### PATH

          static final int PATH

      See Also:
        Constant Field Values

    - #### RECT

          static final int RECT

      See Also:
        Constant Field Values

    - #### ELLIPSE

          static final int ELLIPSE

      See Also:
        Constant Field Values

    - #### ARC

          static final int ARC

      See Also:
        Constant Field Values

    - #### SPHERE

          static final int SPHERE

      See Also:
        Constant Field Values

    - #### BOX

          static final int BOX

      See Also:
        Constant Field Values

    - #### OPEN

          static final int OPEN

      See Also:
        Constant Field Values

    - #### CLOSE

          static final int CLOSE

      See Also:
        Constant Field Values

    - #### CORNER

          static final int CORNER

      Draw mode convention to use (x, y) to (width, height)
      See Also:
        Constant Field Values

    - #### CORNERS

          static final int CORNERS

      Draw mode convention to use (x1, y1) to (x2, y2) coordinates
      See Also:
        Constant Field Values

    - #### RADIUS

          static final int RADIUS

      Draw mode from the center, and using the radius
      See Also:
        Constant Field Values

    - #### CENTER

          static final int CENTER

      Draw from the center, using second pair of values as the diameter. Formerly called CENTER_DIAMETER in alpha releases.
      See Also:
        Constant Field Values

    - #### DIAMETER

          static final int DIAMETER

      Synonym for the CENTER constant. Draw from the center, using second pair of values as the diameter.
      See Also:
        Constant Field Values

    - #### CHORD

          static final int CHORD

      See Also:
        Constant Field Values

    - #### PIE

          static final int PIE

      See Also:
        Constant Field Values

    - #### BASELINE

          static final int BASELINE

      Default vertical alignment for text placement
      See Also:
        Constant Field Values

    - #### TOP

          static final int TOP

      Align text to the top
      See Also:
        Constant Field Values

    - #### BOTTOM

          static final int BOTTOM

      Align text from the bottom, using the baseline.
      See Also:
        Constant Field Values

    - #### NORMAL

          static final int NORMAL

      texture coordinates in 0..1 range
      See Also:
        Constant Field Values

    - #### IMAGE

          static final int IMAGE

      texture coordinates based on image width/height
      See Also:
        Constant Field Values

    - #### CLAMP

          static final int CLAMP

      textures are clamped to their edges
      See Also:
        Constant Field Values

    - #### REPEAT

          static final int REPEAT

      textures wrap around when uv values go outside 0..1 range
      See Also:
        Constant Field Values

    - #### MODEL

          static final int MODEL

      textMode(MODEL) is the default, meaning that characters will be affected by transformations like any other shapes.

      Changed value in 0093 to not interfere with LEFT, CENTER, and RIGHT.
      See Also:
        Constant Field Values

    - #### SHAPE

          static final int SHAPE

      textMode(SHAPE) draws text using the the glyph outlines of individual characters rather than as textures. If the outlines are not available, then textMode(SHAPE) will be ignored and textMode(MODEL) will be used instead. For this reason, be sure to call textMode() after calling textFont().

      Currently, textMode(SHAPE) is only supported by OPENGL mode. It also requires Java 1.2 or higher (OPENGL requires 1.4 anyway)
      See Also:
        Constant Field Values

    - #### SQUARE

          static final int SQUARE

      See Also:
        Constant Field Values

    - #### ROUND

          static final int ROUND

      See Also:
        Constant Field Values

    - #### PROJECT

          static final int PROJECT

      See Also:
        Constant Field Values

    - #### MITER

          static final int MITER

      See Also:
        Constant Field Values

    - #### BEVEL

          static final int BEVEL

      See Also:
        Constant Field Values

    - #### AMBIENT

          static final int AMBIENT

      See Also:
        Constant Field Values

    - #### DIRECTIONAL

          static final int DIRECTIONAL

      See Also:
        Constant Field Values

    - #### SPOT

          static final int SPOT

      See Also:
        Constant Field Values

    - #### BACKSPACE

          static final char BACKSPACE

      See Also:
        Constant Field Values

    - #### TAB

          static final char TAB

      See Also:
        Constant Field Values

    - #### ENTER

          static final char ENTER

      See Also:
        Constant Field Values

    - #### RETURN

          static final char RETURN

      See Also:
        Constant Field Values

    - #### ESC

          static final char ESC

      See Also:
        Constant Field Values

    - #### DELETE

          static final char DELETE

      See Also:
        Constant Field Values

    - #### CODED

          static final int CODED

      See Also:
        Constant Field Values

    - #### UP

          static final int UP

      See Also:
        Constant Field Values

    - #### DOWN

          static final int DOWN

      See Also:
        Constant Field Values

    - #### LEFT

          static final int LEFT

      See Also:
        Constant Field Values

    - #### RIGHT

          static final int RIGHT

      See Also:
        Constant Field Values

    - #### ALT

          static final int ALT

      See Also:
        Constant Field Values

    - #### CONTROL

          static final int CONTROL

      See Also:
        Constant Field Values

    - #### SHIFT

          static final int SHIFT

      See Also:
        Constant Field Values

    - #### PORTRAIT

          static final int PORTRAIT

      Screen orientation constant for portrait (the hamburger way).
      See Also:
        Constant Field Values

    - #### LANDSCAPE

          static final int LANDSCAPE

      Screen orientation constant for landscape (the hot dog way).
      See Also:
        Constant Field Values

    - #### SPAN

          static final int SPAN

      Use with fullScreen() to indicate all available displays.
      See Also:
        Constant Field Values

    - #### ARROW

          static final int ARROW

      See Also:
        Constant Field Values

    - #### CROSS

          static final int CROSS

      See Also:
        Constant Field Values

    - #### HAND

          static final int HAND

      See Also:
        Constant Field Values

    - #### MOVE

          static final int MOVE

      See Also:
        Constant Field Values

    - #### TEXT

          static final int TEXT

      See Also:
        Constant Field Values

    - #### WAIT

          static final int WAIT

      See Also:
        Constant Field Values

    - #### ENABLE_NATIVE_FONTS

          @Deprecated
          static final int ENABLE_NATIVE_FONTS

      Deprecated.
      See Also:
        Constant Field Values

    - #### DISABLE_NATIVE_FONTS

          @Deprecated
          static final int DISABLE_NATIVE_FONTS

      Deprecated.
      See Also:
        Constant Field Values

    - #### DISABLE_DEPTH_TEST

          static final int DISABLE_DEPTH_TEST

      See Also:
        Constant Field Values

    - #### ENABLE_DEPTH_TEST

          static final int ENABLE_DEPTH_TEST

      See Also:
        Constant Field Values

    - #### ENABLE_DEPTH_SORT

          static final int ENABLE_DEPTH_SORT

      See Also:
        Constant Field Values

    - #### DISABLE_DEPTH_SORT

          static final int DISABLE_DEPTH_SORT

      See Also:
        Constant Field Values

    - #### DISABLE_OPENGL_ERRORS

          static final int DISABLE_OPENGL_ERRORS

      See Also:
        Constant Field Values

    - #### ENABLE_OPENGL_ERRORS

          static final int ENABLE_OPENGL_ERRORS

      See Also:
        Constant Field Values

    - #### DISABLE_DEPTH_MASK

          static final int DISABLE_DEPTH_MASK

      See Also:
        Constant Field Values

    - #### ENABLE_DEPTH_MASK

          static final int ENABLE_DEPTH_MASK

      See Also:
        Constant Field Values

    - #### DISABLE_OPTIMIZED_STROKE

          static final int DISABLE_OPTIMIZED_STROKE

      See Also:
        Constant Field Values

    - #### ENABLE_OPTIMIZED_STROKE

          static final int ENABLE_OPTIMIZED_STROKE

      See Also:
        Constant Field Values

    - #### ENABLE_STROKE_PERSPECTIVE

          static final int ENABLE_STROKE_PERSPECTIVE

      See Also:
        Constant Field Values

    - #### DISABLE_STROKE_PERSPECTIVE

          static final int DISABLE_STROKE_PERSPECTIVE

      See Also:
        Constant Field Values

    - #### DISABLE_TEXTURE_MIPMAPS

          static final int DISABLE_TEXTURE_MIPMAPS

      See Also:
        Constant Field Values

    - #### ENABLE_TEXTURE_MIPMAPS

          static final int ENABLE_TEXTURE_MIPMAPS

      See Also:
        Constant Field Values

    - #### ENABLE_STROKE_PURE

          static final int ENABLE_STROKE_PURE

      See Also:
        Constant Field Values

    - #### DISABLE_STROKE_PURE

          static final int DISABLE_STROKE_PURE

      See Also:
        Constant Field Values

    - #### HINT_COUNT

          static final int HINT_COUNT

      See Also:
        Constant Field Values

    - #### ERROR_BACKGROUND_IMAGE_SIZE

          static final String ERROR_BACKGROUND_IMAGE_SIZE

      See Also:
        Constant Field Values

    - #### ERROR_BACKGROUND_IMAGE_FORMAT

          static final String ERROR_BACKGROUND_IMAGE_FORMAT

      See Also:
        Constant Field Values

    - #### ERROR_TEXTFONT_NULL_PFONT

          static final String ERROR_TEXTFONT_NULL_PFONT

      See Also:
        Constant Field Values

    - #### ERROR_PUSHMATRIX_OVERFLOW

          static final String ERROR_PUSHMATRIX_OVERFLOW

      See Also:
        Constant Field Values

    - #### ERROR_PUSHMATRIX_UNDERFLOW

          static final String ERROR_PUSHMATRIX_UNDERFLOW

      See Also:
        Constant Field Values